/// <reference types="react" />
import './Form.scss';
import { IFormProps } from './Form.types';
declare const Form: {
    ({ children, onSubmitFunction, ariaDescribedBy }: IFormProps): JSX.Element;
    Submit: ({ value, id, size, variant, }: import("../Submit/Submit.types").IFormSubmitProps) => JSX.Element;
    Legend: ({ id, children }: import("../Legend/Legend.types").IFormLegendProps) => JSX.Element;
    FieldSet: ({ children }: import("../FieldSet/FieldSet.types").IFormFieldSetProps) => JSX.Element;
    Label: ({ children, id, htmlFor, required }: import("../Label/Label.types").IFormLabelProps) => JSX.Element;
    Input: ({ value, id, placeholder, onChangeFunction, onBlurFunction, type, fullWidth, error, errorMessage, disabled, name, }: import("../Input/Input.types").IFormInputProps) => JSX.Element;
    TextArea: ({ id, value, name, rows, placeholder, onChangeFunction, onBlurFunction, fullWidth, error, errorMessage, disabled, }: import("../TextArea/TextArea.types").IFormTextAreaProps) => JSX.Element;
    Select: ({ id, onBlurFunction, onChangeFunction, selectedValue, values, multiple, disabled, }: import("../Select/Select.types").IFormSelectProps) => JSX.Element;
    CheckboxGroup: ({ id, values, ariaLabelledBy, onSelectFunction, }: import("../CheckboxGroup/CheckboxGroup.types").IFormCheckboxGroupProps) => JSX.Element;
};
export default Form;
