import React from 'react';
import { ILayoutProps } from './Layout.types';
declare const Layout: {
    ({ children }: ILayoutProps): JSX.Element;
    Row: ({ children, wrap, alignX, alignY, }: import("../Row/Row.types").IRowProps) => JSX.Element;
    Column: ({ children, size, paddingX, paddingY, tagName, id, ariaLabel, ariaLabelledBy, }: import("../Column/Column.types").IColumnProps) => React.DetailedReactHTMLElement<{
        'data-testid': string;
        className: string;
        id: string;
        'aria-labelledby': string;
        'aria-label': string;
    }, HTMLElement>;
    Container: ({ children, size }: import("../Container/Container.types").IContainerProps) => JSX.Element;
    Grid: {
        ({ children, gap, type }: import("../Grid/Grid.types").IGridProps): JSX.Element;
        GridItem: ({ children, config, variant, paddingX, paddingY, tagName, id, ariaLabel, ariaLabelledBy, }: import("../GridItem/GridItem.types").IGridItemProps) => React.DetailedReactHTMLElement<{
            'data-testid': string;
            className: string;
            id: string;
            'aria-labelledby': string;
            'aria-label': string;
            style: React.CSSProperties;
        }, HTMLElement>;
    };
};
export default Layout;
